MPC85XX_RIO_DOOR(9)

NAME
mpc85xx_rio_doorbell_send - Send a MPC85xx doorbell message

SYNOPSIS

int mpc85xx_rio_doorbell_send (int index, u16 destid, u16 data);

ARGUMENTS

index
    ID of RapidIO interface

destid
    Destination ID of target device

data
    16-bit info field of RapidIO doorbell message

DESCRIPTION

Sends a MPC85xx doorbell message. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.